<?php

namespace Modules\Admin\Config\Currencies;

use \App\Mvc\View\Utils\Types\ListingColumns;
use \App\Mvc\View\Utils\Types\ListingColumn;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [PHP_INT_MAX];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\\App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('id')
			)
			->append(
				ListingColumn::create('subdivision')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}

}
